Name:           aifad
Version:        2.0.2
Release:        %mkrel 5
Summary:        Machine learning system - Automated Induction of Functions over Algebraic Datatypes
License:        GPL
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/aifad
Source0:        https://bitbucket.org/mmottl/aifad/downloads/aifad-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cfg-devel
BuildRequires:  ocaml-res-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  menhir

%description
AIFAD stands for "Automated Induction of Functions over Algebraic Datatypes"
and improves decision tree learning by supporting significantly more complex
kinds of data. This allows users to more conveniently describe the data they
want to have learnt, which can improve accuracy and complexity of resulting
models.

%prep
%setup -q

%build
./configure \
    --bindir %{_bindir} \
    --destdir %{buildroot}

make

%install
rm -rf %{buildroot}
make install

install -d %{buildroot}%{_datadir}/vim/syntax/
install -m 0644 ./vim/aifad.vim %{buildroot}%{_datadir}/vim/syntax/

%files
%doc README.md AUTHORS.txt COPYING.txt CHANGES.txt TODO.md
%doc examples/
%{_bindir}/aifad
%{_datadir}/vim/syntax/aifad.vim


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-5.mga3
+ Revision: 345343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.0.2-4.mga3
+ Revision: 323916
- rebuild for new pcre

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.0.2-3.mga3
+ Revision: 302199
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 2.0.2-1.mga3
+ Revision: 285549
- updated to last version 2.0.2 (which now uses Oasis)
- BuildRequires: omake
- imported package aifad

